
%global meadversion 1.1.1
%global namedversion 1.1.1.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 21
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}glassfish-jaf}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.1.redhat-5

Name:           %{?scl_prefix}glassfish-jaf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        javax.activation API v.1.1
Group:          Development/Java

%if %with mead
Source100: activation-1.1.1.redhat-5-scm-sources.zip
Source102: activation-1.1.1.redhat-5-javadoc.jar
Source103: activation-1.1.1.redhat-5.pom
Source104: activation-1.1.1.redhat-5-project-sources.tar.gz
Source105: activation-1.1.1.redhat-5.jar
Source106: activation-1.1.1.redhat-5-sources.jar
%endif

License:        CDDL-1.0 or GPLv2 with exceptions
URL:            http://glassfish.dev.java.net/
Provides:       %{?scl_prefix}activation = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JavaBeans(TM) Activation Framework v.${spec.version} Specification.

%if %with javadoc
%package javadoc
Summary:        Javadoc for activation
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n glassfish-jaf -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/activation-%{namedversion}.jar %{buildroot}%{_javadir}/activation-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/activation-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/activation-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/activation-%{namedversion}-sources.jar %{buildroot}%{_javadir}/activation-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/activation-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/activation-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/activation-%{namedversion} -x META-INF/\*
%{__ln_s} activation-%{namedversion} %{buildroot}%{_javadocdir}/activation
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/activation-%{namedversion}.jar
%{_javadir}/activation.jar
%if %with javadoc
%{_javadir}/activation-%{namedversion}-javadoc.jar
%{_javadir}/activation-javadoc.jar
%endif
%{_javadir}/activation-%{namedversion}-sources.jar
%{_javadir}/activation-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/activation-%{namedversion}
%{_javadocdir}/activation
%endif

%changelog
* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-21.redhat_5.1
- Fix license (JBEAP-13468)

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-20.redhat_5.1
- Fix license (JBEAP-13468)

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-19.redhat_5.1
- Fix license (JBEAP-13468)

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.1.1-18.redhat_5.1
- build RPMS

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.1.1-18.redhat_5.1
- release

